summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-01-30 17:02:58 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-01-30 17:30:40 +0100
commit4e9923a56d22e6f36e152433ddc8c1196ff5e63f (patch)
treef24ea39b142fcc582d7bcd09afc8d4a6a8346605 /dev-ml/js_of_ocaml
parentMerge remote-tracking branch 'remotes/sbraz/pyenchant' (diff)
downloadgentoo-4e9923a56d22e6f36e152433ddc8c1196ff5e63f.tar.gz
gentoo-4e9923a56d22e6f36e152433ddc8c1196ff5e63f.tar.bz2
gentoo-4e9923a56d22e6f36e152433ddc8c1196ff5e63f.zip
dev-ml/js_of_ocaml: bump to 2.7
Package-Manager: portage-2.2.27 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
Diffstat (limited to 'dev-ml/js_of_ocaml')
-rw-r--r--dev-ml/js_of_ocaml/Manifest1
-rw-r--r--dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-ml/js_of_ocaml/Manifest b/dev-ml/js_of_ocaml/Manifest
index 590569226cc..fa92aea86b7 100644
--- a/dev-ml/js_of_ocaml/Manifest
+++ b/dev-ml/js_of_ocaml/Manifest
@@ -1 +1,2 @@
DIST js_of_ocaml-2.6.tar.gz 1291882 SHA256 c1f066d09524c6be2d40cfb387de49b337837dcc8f2f746a207f37706ca66460 SHA512 2c4e294b7946757d9b05ec640e130cbee6a0130c03eb3a2188988fb956c1f0e2738c32e97abc461e748e667e7d31e386c5470942df84ddbcf5903d41b133e8c8 WHIRLPOOL abf477caa49edc65b5e577a90dd86641f12b6757e6f2c9034fe08d51cc1ac11209b73e8fdd88de420ed0277d8715bb085c10d29b237854cdebb8a9e36f8e22fe
+DIST js_of_ocaml-2.7.tar.gz 1304487 SHA256 52922f55428a1d8a55ec2493c4989152e06efd29a981adf8ac9f343f558854b5 SHA512 ab6e5d16342bf763c10eb5c2e7589610622034eee2ad82aa09c6f68448f155a5c56584702307852b251bde80146c1b7115ed6add1358ad96b130c9dd2b96118b WHIRLPOOL 278c17432fdf9bf670df33479c68705868be39eb4d53f67fc489fe44ac2e7645dd5e2ed3e6e71752a2387b516ce0ab6dc99ac1d870fc75ffdad9df87031e9de4
diff --git a/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild b/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild
new file mode 100644
index 00000000000..4f423b95e5e
--- /dev/null
+++ b/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit findlib eutils
+
+DESCRIPTION="A compiler from OCaml bytecode to javascript"
+HOMEPAGE="http://ocsigen.org/js_of_ocaml/"
+SRC_URI="https://github.com/ocsigen/js_of_ocaml/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="+ocamlopt doc +deriving"
+
+DEPEND=">=dev-lang/ocaml-3.12:=[ocamlopt?]
+ >=dev-ml/lwt-2.4.4:=
+ dev-ml/react:=
+ dev-ml/reactiveData:=
+ >=dev-ml/tyxml-3.6:=
+ dev-ml/cmdliner:=
+ dev-ml/menhir:=
+ dev-ml/ocaml-base64:=
+ dev-ml/camlp4:=
+ dev-ml/cppo:=
+ deriving? ( >=dev-ml/deriving-0.6:= )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ use ocamlopt || echo "BEST := byte" >> Makefile.conf
+ use deriving || echo "WITH_DERIVING := NO" >> Makefile.conf
+}
+
+src_compile() {
+ emake
+ use doc && emake doc
+}
+
+src_install() {
+ findlib_src_preinst
+ emake BINDIR="${ED}/usr/bin/" install
+ dodoc CHANGES README.md
+ use doc && dohtml -r doc/api/html/
+}